/
Solicitar cancelamento
Host: Keeta.
| Campo | Obrig. | Descrição |
|---|---|---|
reason | sim | Texto livre |
code | sim | Ver Códigos de cancelamento (v1.0.7+) no Guia de Desenvolvimento |
mode | sim | AUTO ou MANUAL |
outOfStockItems[] | não | Itens sem estoque |
invalidItems[] | não | Itens inexistentes; com OUTDATED_MENU, são desativados no cardápio. Informe os IDs dos itens na Keeta |
{ "reason": "Acabou o pão de queijo", "code": "UNAVAILABLE_ITEM", "mode": "MANUAL", "outOfStockItems": ["PDV-1002"] }202 → espere CANCELLATION_REQUESTED e, se aceito, CANCELLED.
Segurança
OAuth2(Escopos obrigatórios: od.all) and Sig
Explanation: The enumeration values have been updated. The old values are: INSUFFICIENT-DISHES, SUSPENSION OF OF BUSINESS, INSUFICS-MANPOWER, THE. Although the new enumeration value maintains compatibility with the old enumeration value, we strongly recommend using the new enumeration value. If you are using an old value, please update it as soon as possible. Thank you for your cooperation.
Enum:"SYSTEMIC_ISSUES""DUPLICATE_APPLICATION""UNAVAILABLE_ITEM""RESTAURANT_WITHOUT_DELIVERY_PERSON""OUTDATED_MENU""ORDER_OUTSIDE_THE_DELIVERY_AREA""BLOCKED_CUSTOMER""OUTSIDE_DELIVERY_HOURS""INTERNAL_DIFFICULTIES_OF_THE_RESTAURANT""RISK_AREA"
Indica se a solicitação de cancelamento foi feita por processo automático ou manual no Software Service.
Enum:"AUTO""MANUAL"
- https://open.mykeeta.com/api/open/opendeliveryhttps://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/requestCancellation
curl -i -X POST \
'https://open.mykeeta.com/api/open/opendelivery/v1/orders/{orderId}/requestCancellation' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-App-Signature: YOUR_API_KEY_HERE' \
-d '{
"reason": "string",
"code": "SYSTEMIC_ISSUES",
"mode": "AUTO",
"outOfStockItems": [
"string"
],
"invalidItems": [
"string"
]
}'